'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = assertMatch;

var _preactRenderToString = require('preact-render-to-string');

var _htmlLooksLike = require('html-looks-like');

var _htmlLooksLike2 = _interopRequireDefault(_htmlLooksLike);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function assertMatch(_ref) {
  var Assertion = _ref.Assertion;

  if (Assertion.__assertMatch) return;

  Assertion.__assertMatch = true;

  Assertion.addMethod('match', function (expectedRaw) {
    var actual = (0, _preactRenderToString.render)(this._obj);
    var expected = (0, _preactRenderToString.render)(expectedRaw).replace(/\(\.\.\.\)/g, '{{ ... }}');

    (0, _htmlLooksLike2.default)(actual, expected);
  });
}

if (typeof chai !== 'undefined' && chai.use) chai.use(assertMatch);
